%{?mgaversion: %global mdkversion %(echo $[(2010+%mgaversion)*100])}
%define teventmajor	0
%define epoch 1

%define libtevent %mklibname tevent %{teventmajor}
%define teventdevel %mklibname -d tevent
%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg --import %{1} \
gpg --trust-model always --verify %{2} \
rm -Rf $GNUPGHOME \

Name: tevent
URL: http://tevent.samba.org/
License: GPLv3
Version: 0.9.31
# Shipped in samba4 without internal version:
Epoch: %{epoch}
Release: %mkrel 1
Group: System/Libraries
Summary: Samba4's event management library
Source: http://samba.org/ftp/tevent/tevent-%{version}.tar.gz
Source1: http://samba.org/ftp/tevent/tevent-%{version}.tar.asc
Source2: samba-bugs.asc
Patch1: samba4-fix-tevent-link-order.patch
BuildRequires: talloc-devel >= 2.0.6 python-talloc pkgconfig(pytalloc-util) >= 2.0.6
BuildRequires: gnupg

%description
Tevent is an event system based on the talloc memory management library. It is
the core event system used in Samba. Tevent has support for many event types,
including timers, signals, and the classic file descriptor events. Tevent also
provides helpers to deal with asynchronous code providing the tevent_req
(Tevent Request) functions.

%package -n %{libtevent}
Group: System/Libraries
Summary: Samba4's event management library

%description -n %{libtevent}
Samba4's event management library

%package -n %{teventdevel}
Group: Development/C
Summary: Development files for Samba4's event management library
Provides: tevent-devel = %{epoch}:%{version}-%{release}
Requires: %{libtevent} = %{epoch}:%{version}-%{release}

%description -n %{teventdevel}
Development files for Samba4's event management library

%package -n python-tevent
Group: Development/Python
Summary: Python module for Samba4's event management library

%description -n python-tevent
Python module for Samba4's event management library

%prep
VERIFYSOURCE=%{SOURCE0}
VERIFYSOURCE=${VERIFYSOURCE%%.gz}
gzip -dc %{SOURCE0} > $VERIFYSOURCE

%check_sig %{SOURCE2} %{SOURCE1} $VERIFYSOURCE

rm -f $VERIFYSOURCE

%setup -q
#patch1 -p3 -b .linkorder

%build
export PYTHONDIR=%{py_platsitedir}
%configure2_5x --bundled-libraries=NONE
%make

%install
%makeinstall_std

%files -n %{libtevent}
%{_libdir}/libtevent.so.%{teventmajor}*

%files -n %{teventdevel}
%{_libdir}/libtevent.so
%{_includedir}/tevent.h
#%{_includedir}/tevent_internal.h
%{_libdir}/pkgconfig/tevent.pc

%files -n python-tevent
%{py_platsitedir}/_tevent.so
%{py_platsitedir}/tevent.py*


%changelog
* Fri Oct 07 2016 luigiwalser <luigiwalser> 1:0.9.31-1.mga6
+ Revision: 1059331
- 0.9.31

* Wed Sep 07 2016 luigiwalser <luigiwalser> 1:0.9.30-1.mga6
+ Revision: 1050392
- 0.9.30

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1:0.9.29-1.mga6
+ Revision: 1045497
- 0.9.29

* Thu Feb 25 2016 luigiwalser <luigiwalser> 1:0.9.28-1.mga6
+ Revision: 979018
- 0.9.28

* Sun Dec 27 2015 neoclust <neoclust> 1:0.9.26-6.mga6
+ Revision: 915539
- New version 0.9.26

* Fri Aug 21 2015 tmb <tmb> 1:0.9.25-6.mga6
+ Revision: 867746
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1:0.9.25-5.mga6
+ Revision: 837034
- explicitly disable bundled libraries
- 0.9.25

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.21-5.mga5
+ Revision: 746538
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:0.9.21-4.mga5
+ Revision: 730611
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:0.9.21-3.mga5
+ Revision: 689842
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Feb 14 2014 luigiwalser <luigiwalser> 1:0.9.21-1.mga5
+ Revision: 591421
- 0.9.21

* Mon Oct 21 2013 umeabot <umeabot> 1:0.9.19-3.mga4
+ Revision: 540872
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1:0.9.19-2.mga4
+ Revision: 494409
- include pyc and pyo files in python subpackage files list

* Fri Aug 09 2013 luigiwalser <luigiwalser> 1:0.9.19-1.mga4
+ Revision: 464833
- 0.9.19

* Mon Jul 08 2013 luigiwalser <luigiwalser> 1:0.9.18-1.mga4
+ Revision: 451046
- 0.9.18

* Mon Jan 14 2013 umeabot <umeabot> 1:0.9.17-2.mga3
+ Revision: 384417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 tv <tv> 1:0.9.17-1.mga3
+ Revision: 307930
- new release

* Thu Aug 16 2012 fedya <fedya> 1:0.9.16-1.mga3
+ Revision: 281516
- BR: gnupg
- version update 0.9.16

  + shlomif <shlomif>
    - Correct a typo

* Thu Dec 22 2011 buchan <buchan> 1:0.9.14-1.mga2
+ Revision: 185826
- New version 0.9.14
- Add signature verification
- Retain compatability with Mandriva

* Tue Sep 06 2011 tv <tv> 1:0.9.12-1.mga2
+ Revision: 139857
- new release

* Sun May 08 2011 ennael <ennael> 1:0.9.11-1.mga1
+ Revision: 96443
- clean spec file
- imported package tevent

